Subject: Re: bug#73768: 'read-passwd-mode' can clobber user defined mode lines

From: Michael Albinus <[email-masked]>
Date: Sat, 19 Oct 2024 10:42:46 +0200

martin rudalics <[email-masked]> writes:

>> As said before, I don't regard it as our responsibility to handle this
>> case. So I'd rather do nothing here.
>
> So I think you should just remove the entire
>
>               ;; Not sure why but it seems that there might be cases where the
>               ;; minibuffer is not always properly reset later on, so undo
>               ;; whatever we've done here (bug#11392).
>               (remove-hook 'after-change-functions
>                            #'read-passwd--hide-password 'local)
>
> on master and mark the bug as done.

Yes, I'm just reviewing the settings in read-passwd which I have ignored
so far. Since we're using the minor mode read-passwd-mode in the
minibuffer now, I expect that all these settings go away when the
function returns.

To be tested.

> martin

Best regards, Michael.